

export const routes = [
    {
        path: '/',
        name:'login',
        component: () => import("../views/Login.vue")
    },
    {
        path: '/home',
        name:'home',
        component: () => import("../views/Home.vue")
    },
    {
        path: '/manage',
        component: () => import("@/layout/Manage.vue"),
        children:[
            {
                path: '/PersonalCenter',
                name:'个人中心',
                component: ()=> import("../views/User/PersonalCenter.vue")
            },
            {
                path: '/Upload',
                name:'文件上传',
                component: ()=> import("../views/User/Upload.vue")
            },
            {
                path: '/UserManagement',
                name:'用户列表',
                component: ()=> import("../views/User/UserManagement.vue")
            },
            {
                path: '/AddProduct',
                name: '添加商品',
                component: ()=> import("../views/Commodity/AddProduct.vue")
            },
            {
                path: '/MerchandiseCenter',
                name: '商品中心',
                component: ()=> import("../views/Commodity/MerchandiseCenter.vue")
            },
            {
                path: '/TypeManagement',
                name: '类别管理',
                component: ()=> import("../views/Commodity/TypeManagement.vue")
            },
            {
                path: '/OrderList',
                name: '订单列表',
                component: ()=> import("../views/Orders/OrderList.vue")
            },
            {
                path: '/ServiceOrderList',
                name: '服务类订单列表',
                component: ()=> import("../views/Orders/ServiceOrderList.vue")
            },
            {
                path: '/PendingServiceOrderList',
                name: '服务类商品待处理订单',
                component: ()=> import("../views/Orders/PendingServiceOrderList.vue")
            },
            {
                path: '/AddCoupons',
                name:'添加优惠券',
                component: ()=> import("../views/Coupons/AddCoupons.vue")
            },
            {
                path: '/CouponCenter',
                name:'优惠券中心',
                component: ()=> import("../views/Coupons/CouponCenter.vue")
            },
            {
                path: '/AddServiceProduct',
                name: '添加服务类商品',
                component: ()=> import("../views/ServiceType/AddServiceProduct.vue")
            },
            {
                path: '/ProductCenter',
                name: '服务类商品管理中心',
                component: ()=> import("../views/ServiceType/ProductCenter.vue")
            },
            {
                path: '/ClothingGrade',
                name: '服装等级管理',
                component: ()=> import("../views/CostumeAppointments/ClothingGrade.vue")
            },
            {
                path: '/CostumeDetails',
                name: '服装详情管理',
                component: ()=> import("../views/CostumeAppointments/CostumeDetails.vue")
            },
            {
                path: '/AppointmentOrder',
                name: '写真预约订单管理',
                component: ()=> import("../views/CostumeAppointments/AppointmentOrder.vue")
            },
            {
                path: '/AddCostumes',
                name: '添加服装',
                component: ()=> import("../views/CostumeAppointments/AddCostumes.vue")
            },
            {
                path: '/ReservationInstructions',
                name: '预约须知',
                component: ()=> import("../views/CostumeAppointments/ReservationInstructions.vue")
            },
            {
                path: '/CostExplanation',
                name: '费用说明',
                component: ()=> import("../views/CostumeAppointments/CostExplanation.vue")
            },
            {
                path: '/timeManagement',
                name: '时间管理',
                component: ()=> import("../views/CostumeAppointments/timeManagement.vue")
            },
            {
                path: '/TimeCenter',
                name: '预约时间中心',
                component: ()=> import("../views/CostumeAppointments/TimeCenter.vue")
            },
            {
                path: '/refund',
                name:'退款管理',
                component: ()=> import("../views/Refund/Refund.vue")
            },
        ]
    },
    {
        path: '/Test',
        name:'测试页面',
        component: () => import("../views/test.vue")
    }
]
